net.sf.cglib.proxy

## Interface FixedValue

- All Superinterfaces:
    Callback

      public interface FixedValue
      extends Callback

  `Enhancer` callback that simply returns the value to return from the proxied method. No information about what method is being called is available to the callback, and the type of the returned object must be compatible with the return type of the proxied method. This makes this callback primarily useful for forcing a particular method (through the use of a `CallbackFilter` to return a fixed value with little overhead.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `loadObject()` Return the object which the original method invocation should return.

- - ### Method Detail

    - #### loadObject

          java.lang.Object loadObject()
                                      throws java.lang.Exception

      Return the object which the original method invocation should return. This method is called for every method invocation.
      Returns:
        an object matching the type of the return value for every method this callback is mapped to
      Throws:
        `java.lang.Exception`

Copyright (c) 2001 - Apache Software Foundation